// Copyright (c) URCA-CNRS-TOTALENERGIES - All Rights Reserved
// Authors: J. Burgalat
// 2016-2024

#ifndef ARCGIS_HPP
#define ARCGIS_HPP

// an header file to include them all, and in the darkness..

#include "Basemap.h"
#include "Graphic.h"
#include "GraphicListModel.h"
#include "GraphicsOverlay.h"
#include "Map.h"
#include "MapGraphicsView.h"
#include "Point.h"
#include "Polygon.h"
#include "Geometry.h"
#include "Envelope.h"
#include "EnvelopeBuilder.h"
#include "SimpleFillSymbol.h"
#include "SimpleLineSymbol.h"
#include "SimpleMarkerSymbol.h"
#include "SimpleRenderer.h"
#include "SpatialReference.h"

#include "GeometryEngine.h"

#include "ArcGISTiledLayer.h"
#include "ArcGISVectorTiledLayer.h"

#include "TileCache.h"
#include "VectorTileCache.h"

#include "LatitudeLongitudeGrid.h"

using namespace Esri::ArcGISRuntime;



#endif // ARCGIS_HPP
