// Copyright (c) URCA-CNRS-TOTALENERGIES - All Rights Reserved
// Authors: J. Burgalat
// 2016-2024

#ifndef NAMEEDITDELEGATE_HPP
#define NAMEEDITDELEGATE_HPP

#include <QStyledItemDelegate>

class QEvent;

class NameEditDelegate : public QStyledItemDelegate {
    Q_OBJECT
  public:
    explicit NameEditDelegate(QObject *parent = nullptr);
    virtual ~NameEditDelegate() {}
    virtual QWidget *createEditor(QWidget *parent, const QStyleOptionViewItem &option,
                                  const QModelIndex &index) const override;
    virtual void setEditorData(QWidget *editor, const QModelIndex &index) const override;
    virtual void setModelData(QWidget *editor, QAbstractItemModel *model, const QModelIndex &index) const override;

    virtual void updateEditorGeometry(QWidget *editor, const QStyleOptionViewItem &option,
                                      const QModelIndex &index) const override;

  protected:
    virtual bool eventFilter(QObject *object, QEvent *event) override;
};

#endif // NAMEEDITDELEGATE_HPP
