// Copyright (c) URCA-CNRS-TOTALENERGIES - All Rights Reserved
// Authors: J. Burgalat
// 2016-2024

#ifndef DIRECTORYWIDGET_HPP
#define DIRECTORYWIDGET_HPP

#include "globals.hpp"

class DirectoryWidget : public QWidget {
    Q_OBJECT
  public:
    DirectoryWidget(QWidget *parent = nullptr);
    QString directory();
    void setDirectory(const QString &directory);
    QSize sizeHint() const override;
  private slots:
    void browseFolder();

  private:
    QLineEdit *mEditor;
    QToolButton *mBtnBrowse;
};

#endif // DIRECTORYWIDGET_HPP
