// Copyright (c) URCA-CNRS-TOTALENERGIES - All Rights Reserved
// Authors: J. Burgalat
// 2016-2024

#ifndef WARNINGSPAGE_HPP
#define WARNINGSPAGE_HPP

#include "basepage.hpp"
#include "globals.hpp"

class WarningsPage : public BasePage {
    Q_OBJECT
  public:
    explicit WarningsPage(QWidget *parent = nullptr);
    virtual void loadSettings() final;
    virtual void saveSettings() final;
    virtual void translateUI() final;

  private:
    void buildUI();

  private:
    QCheckBox *mChbArcGISSignin;
    QCheckBox *mChbConfChange;
    QCheckBox *mChbBadFitConf;
    QCheckBox *mChbEmptyScn;
    QCheckBox *mChbMapLoadFail;
    QCheckBox *mChbReplaySwitch;
    QCheckBox *mChbNoSD;
};

#endif // WARNINGSPAGE_HPP
