// Copyright (c) URCA-CNRS-TOTALENERGIES - All Rights Reserved
// Authors: J. Burgalat
// 2016-2024

#ifndef LABELWIDGET_HPP
#define LABELWIDGET_HPP

#include <QtWidgets>

class LabelWidget : public QWidget {
    Q_OBJECT
  public:
    LabelWidget(const QString &text);
    void setText(const QString &text);

  protected:
    virtual void keyPressEvent(QKeyEvent *event) override;

  private:
    QLabel *mLabel;
};

#endif // LABELWIDGET_HPP
