## Copyright (c) URCA-CNRS-TOTALENERGIES - All Rights Reserved
## Authors: J. Burgalat
## 2016-2024

# Lightweighted version of qplotlib
# with bugfix for RT plots.

QT *= core gui widgets printsupport

CONFIG *= c++14

RESOURCES += $$PWD/resources/plotting.qrc

# qcustomplot 2.0.1 (2020/06/03)

SOURCES += $$PWD/qcustomplot2/qcustomplot.cpp

HEADERS += $$PWD/qcustomplot2/qcustomplot.h


INCLUDEPATH += $$PWD \
    $$PWD/qcustomplot2

SOURCES += \
    $$PWD/baseplot.cpp \
    $$PWD/qcp_helpers.cpp \
    $$PWD/textbox.cpp \
    $$PWD/itemtracer.cpp \
    $$PWD/colorscale.cpp

HEADERS += \
    $$PWD/baseplot.hpp \
    $$PWD/qcp_helpers.hpp \
    $$PWD/textbox.hpp \
    $$PWD/itemtracer.hpp \
    $$PWD/colorscale.hpp

# fitplot stuff:
INCLUDEPATH += $$PWD/fitplot

SOURCES += \
    $$PWD/fitplotwidget.cpp \
    $$PWD/fitplot.cpp \
    $$PWD/legend.cpp \
    $$PWD/lineposition.cpp

HEADERS += \
    $$PWD/fitplotwidget.hpp \
    $$PWD/fitplot.hpp \
    $$PWD/legend.hpp \
    $$PWD/lineposition.hpp



